Package io.github.jdbcx.driver

# Class FileBasedConfigManager

java.lang.Object
io.github.jdbcx.interpreter.ConfigManager
io.github.jdbcx.driver.FileBasedConfigManager

public class FileBasedConfigManager extends ConfigManager

## Field Summary

### Fields inherited from class io.github.jdbcx.interpreter.ConfigManager

`OPTION_ALIAS, OPTION_CACHE, OPTION_MANAGED`

## Constructor Summary

Constructors
Constructor
Description
`FileBasedConfigManager()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAllIDs(String category)`
`Properties`
`getConfig(String category, String id)`
`boolean`
`hasConfig(String category, String id)`
`void`
`reload(Properties props)`

### Methods inherited from class io.github.jdbcx.interpreter.ConfigManager

`getInstance, getUniqueId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileBasedConfigManager

public FileBasedConfigManager()

## Method Details

### getAllIDs

public List<String> getAllIDs(String category)

Overrides:
  `getAllIDs` in class `ConfigManager`

### hasConfig

public boolean hasConfig(String category, String id)

Overrides:
  `hasConfig` in class `ConfigManager`

### getConfig

public Properties getConfig(String category, String id)

Overrides:
  `getConfig` in class `ConfigManager`

### reload

public void reload(Properties props)

Overrides:
  `reload` in class `ConfigManager`